Subject: Re: bug#49662: Weston (Wayland Compositor)

From: Sarah Morgensen <[email-masked]>
Date: Wed, 21 Jul 2021 12:30:29 -0700

Efraim Flashner <[email-masked]> writes:

[...]

>> +                       (assoc-ref %outputs "out") "/lib:"
>> +                       (assoc-ref %outputs "out") "/lib/weston:"
>> +                       (assoc-ref %outputs "out") "/lib/libweston-9")
>
> rather (untested):
> (assoc-ref %outputs "out") "/lib/libweston-" (version-major ,version))

Or perhaps more robustly (in case of inheritance):
  (assoc-ref %outputs "out") "/lib/libweston-" (version-major
                                               ,(package-version this-package))

--
Sarah